Opened 10 years ago

Closed 10 years ago

#27717 closed defect (invalid)

"sudo port selfupdate" failed

Reported by: musacse@… Owned by: macports-tickets@…
Priority: Normal Milestone:
Component: ports Version: 1.8.2
Keywords: Cc:
Port:

Description (last modified by mf2k (Frank Schima))

Hello,

I'm trying to update macports using command "sudo port selfupdate" which is failed with following error -

--->  Updating the ports tree
--->  Updating MacPorts base sources using rsync
MacPorts base version 1.8.2 installed,
MacPorts base version 1.9.2 downloaded.
--->  MacPorts base is outdated, installing new version 1.9.2
Installing new MacPorts release in /opt/local as root:admin; permissions 0755; Tcl-Package in /Library/Tcl

Error: /opt/local/bin/port: port selfupdate failed: Error installing new MacPorts base: shell command "cd /opt/local/var/macports/sources/rsync.macports.org/release/base && ./configure --prefix=/opt/local --with-tclpackage=/Library/Tcl --with-install-user=root --with-install-group=admin --with-directory-mode=0755 --enable-readline && make && make install" returned error 1

also while i try to install "Imagemagick", it fails too with following error -

sudo port install Imagemagick
Password:
--->  Computing dependencies for ImageMagickError: Unable to execute port: can't read "build.cmd": Failed to locate 'make' in path: '/opt/local/bin:/opt/local/sbin:/bin:/sbin:/usr/bin:/usr/sbin' or at its MacPorts configuration time location, did you move it?
Before reporting a bug, first run the command again with the -d flag to get complete output.

Later, i've downloaded new version(dmg package), but it fails too with following error

Xcode is not installed, or was installed with UNIX Development (10.5+) or Command Line Support (10.4) deselected.

I've Xcode, see attached screenshot. Stuck for few days - please help me.

Thanks Musa

Attachments (1)

Screen shot 2010-12-18 at 11.04.42 PM.png (349.1 KB) - added by musacse@… 10 years ago.

Download all attachments as: .zip

Change History (2)

Changed 10 years ago by musacse@…

comment:1 Changed 10 years ago by mf2k (Frank Schima)

Description: modified (diff)
Priority: HighNormal
Resolution: invalid
Status: newclosed
Type: updatedefect

This is not a problem with Macports, but instead with your setup. Please post on the Macports-Users mailing list for support. Your version of Xcode is for Leopard and you need to install version 3.2.5 for Snow Leopard. My guess is that you upgraded your computer from Leopard and did not follow the migration procedure.

Note: See TracTickets for help on using tickets.